Package org.eclipse.net4j.util

# Klasse WrappedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.WrappedException

Alle implementierten Schnittstellen:
  `Serializable`

public class WrappedException extends RuntimeException
An unchecked exception that wraps a checked exception. Wrapping occurs conditionally in the static `wrap()` methods.

Autor:
  Eike Stepper
Siehe auch:
  - Serialisierte Form
No Extend
  This class is not intended to be subclassed by clients.

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`Exception`
`exception()`
`static Exception`
`unwrap(Exception exception)`
`static RuntimeException`
`wrap(Exception exception)`
`static RuntimeException`
`wrap(Exception exception, String message)`

### Von Klasse geerbte Methoden java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Methodendetails

### exception

public Exception exception()

### wrap

public static RuntimeException wrap(Exception exception, String message)

Seit:
  3.1

### wrap

public static RuntimeException wrap(Exception exception)

### unwrap

public static Exception unwrap(Exception exception)